Saltar para o conteúdo principal
GET
/
v1
/
companies
/
{id}
Buscar empresa
curl --request GET \
  --url https://api.vendaze.com/v1/companies/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vendaze.com/v1/companies/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vendaze.com/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "full_name": "Acme Corp",
    "emails": [
      {
        "email": "contato@acme.com",
        "type": "work"
      }
    ],
    "phones": [
      {
        "phone": "+551130000000",
        "type": "work"
      }
    ],
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "João Silva",
      "email": "joao@empresa.com.br"
    },
    "avatar_url": "https://storage.vendaze.com/client/workspaces/abc/companies/xyz/avatar/avatar_WWT1BGs9ma.webp",
    "entity_id": "g7wwkh0",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "Lead Quente",
        "key": "lead_quente",
        "color_text": "#ffffff",
        "color_background": "#ef4444",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "lists": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "custom_fields": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value": "<unknown>",
        "field": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "label": "<string>",
          "key": "<string>",
          "type": "<string>"
        }
      }
    ]
  }
}
{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}

Autorizações

Authorization
string
header
obrigatório

Access token OAuth 2.1.

Parâmetros de caminho

id
string<uuid>
obrigatório

UUID do recurso.

Resposta

Empresa retornada com sucesso.

data
object